<?php
class Manadar 
    {
	    private $base; // instacia de PDO
        
        public function __construct($base)
        {
            $this->setDb($base);
        }
		
		public function setDb(PDO $base)
        {
            $this->base = $base;
        }

		public function getContenidoParDate() {
			$tabla = array();
			$contador = 0;
			$resultado = $this->base->query('SELECT * FROM contenido order by Date');
			//fetch sur chaque linea devuelta por la consulta	
		    while ($linea = $resultado->fetch()) {
				$blog = new Blog();
			    $blog->setId($linea['Id']);
			    $blog->setTitulo($linea['Titulo']);
			    $blog->setDate($linea['Date']);
			    $blog->setComentario($linea['Comentario']);
			    $blog->setFoto($linea['Foto']);
			    $tabla[$contador] = $blog; //guarda el objeto en la tabla
			    $contador++;
		    }   
			return $tabla;	
		}
		
		public function insertContenido(Blog $blog) {
			$sql = "INSERT INTO contenido (Titulo, Fecha, Comentario, Foto) VALUES ('".$blog->getTitulo()."','".$blog->getDate()."','".$blog->getComentario()."','".$blog->getFoto()."')";
			$this->base->exec($sql);	
			//recuperación del último identificador
			$identificador = $this->base->lastInsertId();
			return $identificador;	
		}
	
	}
?>